libzypp 17.37.10

Callback.h File Reference
`#include <zypp/base/NonCopyable.h>`
`#include <zypp-core/UserData.h>`

Go to the source code of this file.

## Classes
class | zypp::HACK::Callback
struct | zypp::callback::ReportBase
struct | zypp::callback::ReceiveReport< TReport >
struct | zypp::callback::DistributeReport< TReport >
struct | zypp::callback::SendReport< TReport >
struct | zypp::callback::TempConnect< TReport >
| Temporarily connect a ReceiveReport then restore the previous one. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::HACK
namespace | zypp::callback
| Callbacks light.